Package org.apache.sling.scripting.sightly.java.compiler.impl.operator

## Interface BinaryOpGen

All Known Implementing Classes:
  `ComparisonOpGen`, `ConcatenateOpGen`, `EquivalenceOpGen`, `InOpGen`, `LogicalOpGen`, `LongOpGen`, `NumericOpGen`, `StrictEqGenOp`

    public interface BinaryOpGen

Generator for a binary operator

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `generate​(org.apache.sling.scripting.sightly.java.compiler.impl.JavaSource source, org.apache.sling.scripting.sightly.java.compiler.impl.ExpressionTranslator visitor, TypedNode left, TypedNode right)`
`org.apache.sling.scripting.sightly.java.compiler.impl.Type` `returnType​(org.apache.sling.scripting.sightly.java.compiler.impl.Type leftType, org.apache.sling.scripting.sightly.java.compiler.impl.Type rightType)`

### Method Detail

#### returnType

    org.apache.sling.scripting.sightly.java.compiler.impl.Type returnType​(org.apache.sling.scripting.sightly.java.compiler.impl.Type leftType,
                                                                          org.apache.sling.scripting.sightly.java.compiler.impl.Type rightType)

#### generate

    void generate​(org.apache.sling.scripting.sightly.java.compiler.impl.JavaSource source,
                  org.apache.sling.scripting.sightly.java.compiler.impl.ExpressionTranslator visitor,
                  TypedNode left,
                  TypedNode right)